com.eloview.homesdk.memoryManager

## Class Memory

- java.lang.Object
- - com.eloview.homesdk.consts.Consts
  - - com.eloview.homesdk.accountManager.AccountManager
    - - com.eloview.homesdk.memoryManager.Memory

- All Implemented Interfaces:
    java.lang.Cloneable

      public class Memory
      extends AccountManager

  Memory class provides information regarding the device memory. It provides the following operation
  - A method to provide information about the device memory, such as the total memory on the device, the available memory on the device, and whether the device is running low on memory or not. `getMemoryInfo`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Memory` | `instance`
    `static int` | `MEMORY_INFO_CODE` Response code indicating the receipt of the device memory info such as the totalMemory, availMemory, lowMemory(boolean value indicating whether the memory is running low or not).

    - ### Fields inherited from class com.eloview.homesdk.accountManager.AccountManager

      `ACCESS_TOKEN_INVALID, ACCESS_TOKEN_VALID, API_ACCESS_TOKEN_INVALID, API_ACCESS_TOKEN_VALID, IS_USER_LOGIN_OAUTH, isPolaris, KEY_SERVER_ELO_POLARIS_DEV, KEY_SERVER_PRODUCTION_POLARIS, KEY_SERVER_QA_POLARIS, KEY_SERVER_STAGING_POLARIS, OAUTH_TOKEN_INVALID, OAUTH_TOKEN_VALID, REQUEST_AUTH_LOGIN, REQUEST_AUTH_LOGOUT, SETUP_OAUTH_ERROR, SETUP_OAUTH_SUCCESS, TOKEN_VERIFY_FAIL, TOKEN_VERIFY_SUCCESS`

    - ### Fields inherited from class com.eloview.homesdk.consts.Consts

      `ACTION_SET_EST_REQUEST, ELO_FOLDER, ELO_NETWORK_CONF_CSV_FILE, ELO_WIFI_CONFIG_FOLDER, GENERIC_ERROR, isFROM, OAUTH_PATH_TOKEN, OAUTH_PATH_VERIFY, REQUEST_TOKEN, STR_CUSTOM_ANIM_IMAGE_FILE, STR_CUSTOM_ANIM_VIDEO_FILE, STR_CUSTOM_BRAND_LOGO_FILE, STR_CUSTOM_BRAND_NAME_FILE, STR_CUSTOM_BRAND_POWERED_BY_LOGO_FILE, STR_CUSTOM_LOCALE_NAME_FILE, STR_CUSTOM_WALLPAPER, STR_ELO_PATH_FOR_CUSTOM_ANIMATION, STR_SDCARD_ELO_DIR_PATH, VERIFY_TOKEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Memory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getMemoryInfo(android.content.Context ctx, java.lang.String accessToken, android.os.Handler handler)` This method is used to provide information regarding the device memory such as the total (totalMemory) and available memory (availMemory) on the device, along with a boolean value which indicates whether the device is running low on memory (lowMemory) or not.

    - ### Methods inherited from class com.eloview.homesdk.accountManager.AccountManager

      `configureOAuthHostedUI, destroyOAuth, getBaseUri, getClientId, getEloAccessToken, getEloOAuthToken, getEnvironment, getProperty, isPolaris, isPolarisLocked, logoutOAuth, onOAuthActivityResult, selectEnvironment, setDefaultEnvironment, setProperty, stopOAuth, unregisterAccountManagerListener, verifyEloToken`

    - ### Methods inherited from class com.eloview.homesdk.consts.Consts

      `clone, getEloIntentWithFlag, getMigrate, isDevice7Inch, isDeviceM100`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MEMORY_INFO_CODE

          public static final int MEMORY_INFO_CODE

      Response code indicating the receipt of the device memory info such as the totalMemory, availMemory, lowMemory(boolean value indicating whether the memory is running low or not).
      See Also:
        Constant Field Values

    - #### instance

          public static Memory instance

  - ### Constructor Detail

    - #### Memory

          public Memory()

  - ### Method Detail

    - #### getMemoryInfo

          public void getMemoryInfo(android.content.Context ctx,
                                    java.lang.String accessToken,
                                    android.os.Handler handler)

      This method is used to provide information regarding the device memory such as the total (totalMemory) and available memory (availMemory) on the device, along with a boolean value which indicates whether the device is running low on memory (lowMemory) or not. This info is provided in json format.
      Parameters:
        `ctx` - A context object of the calling Class (Activity/Service).
        `accessToken` - Token received from elo server
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `MEMORY_INFO_CODE`